flex-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mario Souza <mario.so...@vizexplorer.com>
Subject Using FlexMojos 7
Date Tue, 24 Feb 2015 21:32:05 GMT
Hello guys!

I'm trying migrate a legacy app build with Adobe Flex SDK 4.5 to Apache
Flex SDK 4.14.
I've made some local test and everything is working properly, no issues
with backward compatibilities.

But, for now, I need migrate the building process, made by a FlexMojos
version 3, to use the latest FlexMojos 7.

I'm following the steps about the Mavenizer instructions (to generate the
FDK, it's working well:
https://cwiki.apache.org/confluence/display/FLEX/Building+Flex+applications+with+Maven),
I made the changes on my pom.xml into a single library project (to generate
a swc), this project is very simple - just requires a flexlib dependency
and the flex framework, obviously - and I tried run the *maven clean
install* and I'm getting a simple error:

...RibbonMediumButtonSkin.mxml:[-1,-1] Unable to locate specified base
class 'spark.skins.SparkSkin' for component class
'net.bis2.components.ribbon.skins.RibbonMediumButtonSkin'.

It seems that the basic class (spar.skin.SparkSkin) is not linked to
project, however this class is part of the framework and my main dependency
(org.apache.flex.framework.framework.4.14.0.20150123) was declared.

I think that I'm missing a little thing basic on my pom.

My pom.xml on:
https://gist.github.com/mariojunior/9bec50f560efa09f301b


Thanks.

@mariojunior

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message